RagTime5GraphInternal::FieldParser Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
RagTime5GraphInternal::FieldParser Struct Reference

Internal: the helper to read field for a RagTime5Graph. More...

Inheritance diagram for RagTime5GraphInternal::FieldParser:

## Public Types
enum | Type { Z_Styles, Z_Colors }
| enum used to define the zone type More...

## Public Member Functions
| FieldParser (RagTime5Graph &parser, Type type)
| constructor More...
std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...
virtual bool | parseField (RagTime5StructManager::Field &field, RagTime5Zone &zone, int, libmwaw::DebugStream &f)
| parse a field More...
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor More...
virtual | ~FieldParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...

## Protected Attributes
Type | m_type
| the zone type More...
RagTime5Graph & | m_mainParser
| the main parser More...
Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name More...

## Additional Inherited Members
Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not More...

## Detailed Description

Internal: the helper to read field for a RagTime5Graph.

## Member Enumeration Documentation

enum RagTime5GraphInternal::FieldParser::Type

enum used to define the zone type

Enumerator
Z_Styles |
Z_Colors |

## Constructor & Destructor Documentation

RagTime5GraphInternal::FieldParser::FieldParser | ( | RagTime5Graph & | parser,
|  | Type | type
| ) |  |
| inline

constructor

## Member Function Documentation

std::string RagTime5GraphInternal::FieldParser::getZoneName | ( | int | n | ) | const
| inlinevirtual

return the debug name corresponding to a field

Reimplemented from RagTime5StructManager::FieldParser.

virtual bool RagTime5GraphInternal::FieldParser::parseField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | zone,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

## Member Data Documentation

RagTime5Graph& RagTime5GraphInternal::FieldParser::m_mainParser
| protected

the main parser

Type RagTime5GraphInternal::FieldParser::m_type
| protected

the zone type

Referenced by FieldParser(), getZoneName(), and parseField().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx